# -*- coding: utf-8 -*-
# Generated by Django 1.11.16 on 2018-11-19 17:58
from __future__ import unicode_literals

import bbcode.models
from django.db import migrations, models
import imagekit.models.fields


class Migration(migrations.Migration):

    dependencies = [
        ("logement", "0002_auto_20181016_2145"),
    ]

    operations = [
        migrations.AlterField(
            model_name="logement",
            name="contact_mail",
            field=models.EmailField(blank=True, max_length=254, verbose_name="Email"),
        ),
        migrations.AlterField(
            model_name="logement",
            name="contact_nom",
            field=models.CharField(blank=True, max_length=40, verbose_name="Nom"),
        ),
        migrations.AlterField(
            model_name="logement",
            name="contact_port",
            field=models.CharField(
                blank=True, max_length=15, verbose_name="Téléphone portable"
            ),
        ),
        migrations.AlterField(
            model_name="logement",
            name="contact_prenom",
            field=models.CharField(blank=True, max_length=40, verbose_name="Prénom"),
        ),
        migrations.AlterField(
            model_name="logement",
            name="contact_tel",
            field=models.CharField(
                blank=True, max_length=15, verbose_name="Téléphone fixe"
            ),
        ),
        migrations.AlterField(
            model_name="logement",
            name="date_maj",
            field=models.DateField(auto_now=True, verbose_name="Date de mise à jour"),
        ),
        migrations.AlterField(
            model_name="logement",
            name="description",
            field=bbcode.models.BBCodeField(pack="web_page"),
        ),
        migrations.AlterField(
            model_name="logement",
            name="free_date",
            field=models.DateField(verbose_name="Date de libération"),
        ),
        migrations.AlterField(
            model_name="logement",
            name="loyer",
            field=models.PositiveIntegerField(
                help_text="hors Charge", verbose_name="Loyer (€)"
            ),
        ),
        migrations.AlterField(
            model_name="logement",
            name="meuble",
            field=models.NullBooleanField(
                help_text="un logement est qualifié de meublé s'il dispose du nécessaire en meuble et en équipements",
                verbose_name="Meublé",
            ),
        ),
        migrations.AlterField(
            model_name="logement",
            name="montant_caution",
            field=models.PositiveIntegerField(
                blank=True,
                help_text="Laisser vide si le montant de la caution est inconnu.",
                null=True,
                verbose_name="Montant de la caution (€)",
            ),
        ),
        migrations.AlterField(
            model_name="logement",
            name="montant_charges",
            field=models.PositiveIntegerField(
                blank=True,
                help_text="Laisser vide si le montant des charges est inconnu.",
                null=True,
                verbose_name="Montant des charges (€)",
            ),
        ),
        migrations.AlterField(
            model_name="logement",
            name="place_parking",
            field=models.BooleanField(default=False, verbose_name="Place de parking"),
        ),
        migrations.AlterField(
            model_name="logement",
            name="pub_date",
            field=models.DateField(auto_now_add=True, verbose_name="Date de création"),
        ),
        migrations.AlterField(
            model_name="logement",
            name="statut",
            field=models.IntegerField(
                choices=[
                    (0, "Publié"),
                    (1, "Non publié"),
                    (2, "Supprimé"),
                    (3, "En attente de validation"),
                ],
                default=0,
                verbose_name="Statut",
            ),
        ),
        migrations.AlterField(
            model_name="logement",
            name="surface",
            field=models.PositiveIntegerField(
                blank=True, null=True, verbose_name="Surface (m²)"
            ),
        ),
        migrations.AlterField(
            model_name="logement",
            name="typel",
            field=models.CharField(
                choices=[
                    ("ch", "Chambre"),
                    ("st", "Studio"),
                    ("co", "Colocation"),
                    ("t1", "T1"),
                    ("t1b", "T1 bis"),
                    ("T2", "T2"),
                    ("t3p", "T3 et +"),
                    ("au", "Autre"),
                ],
                max_length=3,
                verbose_name="Type de logement",
            ),
        ),
        migrations.AlterField(
            model_name="logementphoto",
            name="photo",
            field=imagekit.models.fields.ProcessedImageField(
                upload_to="photos_logements"
            ),
        ),
    ]
